
Installer - Feature #32383

Tracker # 32381 (Closed): Communication with services from Foreman application should use a single set of client certificates

Use Foreman client certificates to communicate with Pulp

04/22/2021 12:36 AM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases: 3.0.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-pul

pcore/pull/186,

https://github.com/theforeman/puppet-for

eman_proxy_content/pull/350,

https://github.com/theforeman/puppet-kat

ello/pull/411,

https://github.com/theforeman/puppet-ce

rts/pull/324

  

Description

Find a way to use the Foreman client certificates to communicate with Pulp rather than generating special purpose certificates just to

talk to the Pulp API. This would remove the need for 

https://github.com/theforeman/puppet-certs/blob/master/manifests/pulp_client.pp. Further this will involve finding a way to mimic the

special 'admin' common_name in the certificate or configuring Pulp to accept DN users based on certificates.

Related issues:

Blocked by Katello - Feature #32487: Use Foreman client certificates to commu... Closed

Associated revisions

Revision 1101ab39 - 05/03/2021 06:53 PM - Eric Helms

Refs #32383: Configurable client certificate authentication to Pulp

Allows a user supplied mapping of certificate CN to Pulp user name.

If this is present, set the REMOTE_USER to

a Pulp user defined in the parameter to pass along to Pulp.

This changes from having to generate a client certificate with a valid

user (e.g. admin) as the CN to allowing to use a client certificate generated

with a more standard CN (e.g. FQDN) and act as a user in Pulp suppplied to the

parameter.

Revision 81d47ae1 - 05/07/2021 12:06 PM - Eric Helms

Fixes #32383: Set Pulp to expect Foreman host as the authenticating client

This sets Apache to expect the client certificate to contain as the

common name the hostname of Foreman. This corresponds to using the

Foreman client certificates to talk to Pulp's API which is expected

to contain the hostname of Foreman in the certificate.

History

#1 - 04/27/2021 11:42 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/186 added

#2 - 04/28/2021 04:09 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/350 added
https://github.com/theforeman/puppet-certs/blob/master/manifests/pulp_client.pp


#3 - 04/30/2021 01:08 AM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-katello/pull/411 added

#4 - 04/30/2021 01:09 AM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-certs/pull/324 added

#5 - 04/30/2021 06:55 PM - Eric Helms

- Blocked by Feature #32487: Use Foreman client certificates to communicate with Pulp 3 API added

#6 - 05/07/2021 12:06 PM - The Foreman Bot

- Fixed in Releases 3.0.0 added

#7 - 05/07/2021 01:01 PM - Eric Helms

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy_content|81d47ae10e8528ed46dbe79c6f9d0b6ddc84cdf3.

#8 - 08/24/2021 10:11 AM - Amit Upadhye

- Category set to Foreman modules
https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-foreman_proxy_content/revisions/81d47ae10e8528ed46dbe79c6f9d0b6ddc84cdf3
